@font-face {
    font-family: "ComicSans";
    src: url("fonts/comic-sans.ttf") format("truetype");
}

body, main, head {
    margin: 0;
    font-family: "ComicSans", cursive;
}

.thankyous p {
    margin-bottom: 0;
}

.thankyous ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.thankyous li {
    display: inline;
}

.thankyous li::after {
    content: " • ";
}

.thankyous li:last-child::after {
    content: "";
}

.fish {
    animation: MoveUpDown 60s linear infinite, MoveLeftRight 15s linear infinite, Flip 15s steps(1, start) infinite;
    position: absolute;
    z-index: -10;
    left: 0;
    right: 0;
}

@keyframes MoveUpDown {
  0%, 100% {
    bottom: 0;
  }
  50% {
    bottom: 92%;
  }
}

@keyframes MoveLeftRight {
  0%, 100% {
    left: 0;
  }
  50% {
    left: 95%;
  }
}

@keyframes Flip {
  0% {
    transform: scaleX(1);
  }
  50% {
    transform: scaleX(-1);
  }
  100% {
    transform: scaleX(1);
  }
}

body {
    background-image: url("imgs/bubbles.gif");
    width: 960px;
    margin: 0 auto;
    font-size: 1.2em;
}


hr {
    margin: 10px 0;
}

footer {
    padding: 10px;
    gap: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

main {
    color: yellow;
    background-color: blue;
    padding: 20px;
}

article {
    display: flex;
    justify-content: space-between;
}

.left {
    width: 73%;
}

.right {
    width: 25%;
}

.right img {
    width: 100%;
}

.bot-right {
    text-align: right;
}

header {
    display: flex;
    justify-content: center;
}

.logo {
    width: 650px;
}

/* Blinkies */
.blinkies {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(230px, 1fr));
    gap: 4px;
}

.blinkie-image {
  margin: 0 auto;
  width: 230px;
  height: 35px;
}

.loki-div {
    position: relative;
    display: block;
    width: 25%;
    line-height: 0;
}
.loki-img {
    width: 100%;
    height: auto;
    display: block;
}
#loki-pat, #explosion {
    display: none;
    position: absolute;
    
    aspect-ratio: 1 / 1; 
    width: 88%;
    top: 15%;            
    left: -8%;          

    object-fit: contain;
    height: auto;
    pointer-events: none;
}

@media (max-width: 600px) {
    body {
        font-size: 1em;
        width: 100vw;
        margin: 0;
    }

    .logo {
        width: 100%;
    }

    .left {
        width: 100%;
    }

    .right {
        width: 100%;
    }

    article {
        display: flex;
        flex-direction: column-reverse;
    }

    article:not(:last-child) {
        padding-bottom: 20px;
    }

    .reverse {
        flex-direction: column;
    }
}